Windows Dev Center

Collapse the table of content
Expand the table of content
Expand Minimize

LIMITUI property

If the LIMITUI property is set, the user interface (UI) level used when installing the package is restricted to Basic. This property is required in packages that have no authored UI but still contain UI tables such as the Dialog table. For a description of UI levels, see MsiSetInternalUI


Installation packages containing the LIMITUI property must also contain the ARPNOMODIFY property. This is required for a user to obtain the correct behavior from the Add or Remove Programs in the Control Panel utility when attempting to configure a product.



Windows Installer 5.0 on Windows Server 2012, Windows 8, Windows Server 2008 R2 or Windows 7. Windows Installer 4.0 or Windows Installer 4.5 on Windows Server 2008 or Windows Vista. Windows Installer on Windows Server 2003 or Windows XP. See the Windows Installer Run-Time Requirements for information about the minimum Windows service pack that is required by a Windows Installer version.

See also




Community Additions

© 2015 Microsoft